### GET /{partnerId}/customers/{customerId} Source: https://global-docs-and-definitions-monitum-engineering-2df2141b22ccdbd.gitlab.io/partner-api/partner-api-openapi.json API endpoint for GET /{partnerId}/customers/{customerId} ```markdown ### Parameters - **partnerId** (string, path, required): Unique identifier for the partner organization - **customerId** (string, path, required): Unique identifier for a customer record in the system ### Responses #### 200 - Successfully retrieved the specified customer details - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **data** (object) (required) - **id** (string): System-generated unique identifier for the customer resource - **nationality** (string) (required): ISO 3166-1 alpha-2 country code representing the nationality of the customer - **email** (string (email)) (required): The email address associated with the customer account - **firstName** (string) (required): The first name of the customer - **lastName** (string) (required): The last name of the customer - **address** (string) (required): The street address of the customer - **coAddress** (string): Care of address, additional address information - **postalCode** (string) (required): The postal code for the customer's address - **city** (string) (required): The city of the customer's address - **phone** (string) (required): The phone number associated with the customer account - **mobile** (string) - **password** (string) - **customerType** (unknown) (required) - **createdAt** (string (date-time)) (example: "2001-01-02T03:04:05.006") - **updatedAt** (string (date-time)) (example: "2001-01-02T03:04:05.006") - **identityNumber** (string) (required): Unique personal identification number for customer verification #### 400 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 401 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 403 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 404 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 500 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### default - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/{partnerId}/customers/{customerId}" ``` ``` -------------------------------- ### GET /{partnerId}/customers/{customerId}/services Source: https://global-docs-and-definitions-monitum-engineering-2df2141b22ccdbd.gitlab.io/partner-api/partner-api-openapi.json API endpoint for GET /{partnerId}/customers/{customerId}/services ```markdown ### Parameters - **partnerId** (string, path, required): Unique identifier for the partner organization - **page** (integer, query, required): Current page number for paginated results - **perPage** (integer, query, required): Maximum number of items to display per page - **customerId** (string, path, required): Unique identifier for a customer record in the system ### Responses #### 200 - Successfully retrieved all services for the customer - **page** (integer) (required) - **perPage** (integer) (required) - **total** (integer) - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **data** (array (object)) (required) Array items: - **serviceType** (unknown) (required) - **campaign** (string) - **resellerId** (string) (required) - **pricePlanId** (string) (required): Subscription price plan, automatically set to begin at the start of the current day - **salesRepresentative** (string): Identifier of the sales representative associated with the account - **customerId** (string) (required): Matches the customerId field specified in the Customer object - **leadSource** (string): Point of origin or source from which the sales lead was generated. - **packageType** (string) (required): Product package type classification - **regDate** (string (date-time)) (required): Subscription registration timestamp, set to the beginning of registration day - **id** (string): Unique identifier for this resource - **status** (string (Active|Regret|Shredded|Churn|Goodwill|Registered|CampaignTemplate|Configure|Broken)): Current operational status of the Smart Smoke subscription ("Active"|"Regret"|"Shredded"|"Churn"|"Goodwill"|"Registered"|"CampaignTemplate"|"Configure"|"Broken") - **createdAt** (string (date-time)) (example: "2001-01-02T03:04:05.006") - **updatedAt** (string (date-time)) (example: "2001-01-02T03:04:05.006") - **activeTo** (string (date-time)) #### 400 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 401 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 403 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 404 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 500 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### default - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/{partnerId}/customers/{customerId}/services?page=0&perPage=0" ``` ``` -------------------------------- ### GET /{partnerId}/customers Source: https://global-docs-and-definitions-monitum-engineering-2df2141b22ccdbd.gitlab.io/partner-api/partner-api-openapi.json API endpoint for GET /{partnerId}/customers ```markdown ### Parameters - **partnerId** (string, path, required): Unique identifier for the partner organization - **page** (integer, query, required): Current page number for paginated results - **perPage** (integer, query, required): Maximum number of items to display per page - **customerId** (string, query, optional): Filter customers by their assigned customer ID - **identityNumber** (string, query, optional): Filter customers by their personal identity number (Personnummer) ### Responses #### 200 - Successfully retrieved the list of customer records - **page** (integer) (required) - **perPage** (integer) (required) - **total** (integer) - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **data** (array (object)) (required) Array items: - **id** (string): System-generated unique identifier for the customer resource - **nationality** (string) (required): ISO 3166-1 alpha-2 country code representing the nationality of the customer - **email** (string (email)) (required): The email address associated with the customer account - **firstName** (string) (required): The first name of the customer - **lastName** (string) (required): The last name of the customer - **address** (string) (required): The street address of the customer - **coAddress** (string): Care of address, additional address information - **postalCode** (string) (required): The postal code for the customer's address - **city** (string) (required): The city of the customer's address - **phone** (string) (required): The phone number associated with the customer account - **mobile** (string) - **password** (string) - **customerType** (unknown) (required) - **createdAt** (string (date-time)) (example: "2001-01-02T03:04:05.006") - **updatedAt** (string (date-time)) (example: "2001-01-02T03:04:05.006") - **identityNumber** (string) (required): Unique personal identification number for customer verification #### 400 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 401 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 403 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 404 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 500 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### default - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/{partnerId}/customers?page=0&perPage=0&customerId=string&identityNumber=string" ``` ``` -------------------------------- ### GET /{partnerId}/customers/{customerId}/services/{serviceId} Source: https://global-docs-and-definitions-monitum-engineering-2df2141b22ccdbd.gitlab.io/partner-api/partner-api-openapi.json API endpoint for GET /{partnerId}/customers/{customerId}/services/{serviceId} ```markdown ### Parameters - **partnerId** (string, path, required): Unique identifier for the partner organization - **customerId** (string, path, required): Unique identifier for a customer record in the system - **serviceId** (string, path, required): Unique identifier for a service subscription ### Responses #### 200 - Successfully retrieved details of the specified service subscription - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **data** (object) (required): The base configuration for the Smart Smoke service - **serviceType** (unknown) (required) - **campaign** (string) - **resellerId** (string) (required) - **pricePlanId** (string) (required): Subscription price plan, automatically set to begin at the start of the current day - **salesRepresentative** (string): Identifier of the sales representative associated with the account - **customerId** (string) (required): Matches the customerId field specified in the Customer object - **leadSource** (string): Point of origin or source from which the sales lead was generated. - **packageType** (string) (required): Product package type classification - **regDate** (string (date-time)) (required): Subscription registration timestamp, set to the beginning of registration day - **id** (string): Unique identifier for this resource - **status** (string (Active|Regret|Shredded|Churn|Goodwill|Registered|CampaignTemplate|Configure|Broken)): Current operational status of the Smart Smoke subscription ("Active"|"Regret"|"Shredded"|"Churn"|"Goodwill"|"Registered"|"CampaignTemplate"|"Configure"|"Broken") - **createdAt** (string (date-time)) (example: "2001-01-02T03:04:05.006") - **updatedAt** (string (date-time)) (example: "2001-01-02T03:04:05.006") - **activeTo** (string (date-time)) #### 400 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 401 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 403 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 404 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 500 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### default - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/{partnerId}/customers/{customerId}/services/{serviceId}" ``` ``` -------------------------------- ### GET /{partnerId}/services/company-monitorings/{companyMonitoringId}/company-search Source: https://global-docs-and-definitions-monitum-engineering-2df2141b22ccdbd.gitlab.io/partner-api/partner-api-openapi.json API endpoint for GET /{partnerId}/services/company-monitorings/{companyMonitoringId}/company-search ```markdown ### Parameters - **partnerId** (string, path, required): Unique identifier for the partner organization - **companyMonitoringId** (CompanyMonitoringId, path, required) - **page** (integer, query, required): Current page number for paginated results - **perPage** (integer, query, optional): Number of results to return per page - **question** (string, query, required): Search parameter to find companies by name or registration number ### Responses #### 200 - Successfully retrieved company search results - **page** (integer) (required) - **perPage** (integer) (required) - **total** (integer) - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **data** (array (object)) (required) #### 400 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 401 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 403 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 404 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 500 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/{partnerId}/services/company-monitorings/{companyMonitoringId}/company-search?page=0&perPage=10&question=string" ``` ``` -------------------------------- ### GET /{partnerId}/services/smart-smokes/{smartSmokeId}/devices Source: https://global-docs-and-definitions-monitum-engineering-2df2141b22ccdbd.gitlab.io/partner-api/partner-api-openapi.json Retrieves all registered Smart Smoke devices ```markdown ### Parameters - **partnerId** (string, path, required): Unique identifier for the partner organization - **smartSmokeId** (string, path, required): Unique identifier for a Smart Smoke service subscription ### Responses #### 200 - Successfully retrieved the list of devices - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **data** (array (object)) (required) Array items: - **name** (string): User-assigned name for the Smart Smoke device - **placement** (string): User-assigned placement for the Smart Smoke device - **temperature** (number): The current temperature reading from the Smart Smoke sensor - **batteryLevel** (string): The current battery level of the Smart Smoke device - **signalLevel** (string): The current wireless signal strength of the Smart Smoke - **online** (boolean): Current connectivity status of the Smart Smoke device - **deviceType** (string): Model or type designation of the Smart Smoke device - **IMEI** (string): The International Mobile Equipment Identity number of the device - **MAC** (string): Media Access Control address of the Smart Smoke device - **lastSync** (string (date-time)): Timestamp of the last device status check - **events** (array (object)) Array items: - **id** (string) - **type** (string) (required) - **description** (string) (required): Detailed description of the triggered event or alert (example: "Smoke detected") - **date** (string (date-time)) (required) - **smartSmokeId** (string) (required) - **deviceId** (string) (required) #### 400 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 401 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 403 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 404 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 500 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/{partnerId}/services/smart-smokes/{smartSmokeId}/devices" ``` ``` -------------------------------- ### Schema: ProductLostNFoundSticker Source: https://global-docs-and-definitions-monitum-engineering-2df2141b22ccdbd.gitlab.io/partner-api/partner-api-openapi.json Schema definition for ProductLostNFoundSticker ```markdown ## Schema: ProductLostNFoundSticker Schema definition for ProductLostNFoundSticker **Type:** object - **serviceType** (unknown) (required) - **id** (string): Unique system-generated identifier for the resource - **code** (string) (required) - **status** (string (NotDefined|Active|Churned)) (required): Current status of the tracking sticker (e.g., active, reported lost, found) ("NotDefined"|"Active"|"Churned") - **createdAt** (string (date-time)) (example: "2001-01-02T03:04:05.006") - **updatedAt** (string (date-time)) (example: "2001-01-02T03:04:05.006") - **activeTo** (string (date-time)) - **campaign** (string) - **resellerId** (string) (required) - **pricePlanId** (string) (required): Subscription price plan, automatically set to begin at the start of the current day - **salesRepresentative** (string): Identifier of the sales representative associated with the account - **customerId** (string) (required): Matches the customerId field specified in the Customer object - **leadSource** (string): Point of origin or source from which the sales lead was generated. - **packageType** (string) (required): Product package type classification - **regDate** (string (date-time)) (required): Subscription registration timestamp, set to the beginning of registration day - **billingMonth** (integer): The month when the annual invoice is generated (1-12, where 1=January, 12=December) ``` -------------------------------- ### Schema: ProductSmartSmoke Source: https://global-docs-and-definitions-monitum-engineering-2df2141b22ccdbd.gitlab.io/partner-api/partner-api-openapi.json Schema definition for ProductSmartSmoke ```markdown ## Schema: ProductSmartSmoke Schema definition for ProductSmartSmoke **Type:** object - **serviceType** (unknown) (required) - **campaign** (string) - **resellerId** (string) (required) - **pricePlanId** (string) (required): Subscription price plan, automatically set to begin at the start of the current day - **salesRepresentative** (string): Identifier of the sales representative associated with the account - **customerId** (string) (required): Matches the customerId field specified in the Customer object - **leadSource** (string): Point of origin or source from which the sales lead was generated. - **packageType** (string) (required): Product package type classification - **regDate** (string (date-time)) (required): Subscription registration timestamp, set to the beginning of registration day - **id** (string): Unique identifier for this resource - **status** (string (Active|Regret|Shredded|Churn|Goodwill|Registered|CampaignTemplate|Configure|Broken)): Current operational status of the Smart Smoke subscription ("Active"|"Regret"|"Shredded"|"Churn"|"Goodwill"|"Registered"|"CampaignTemplate"|"Configure"|"Broken") - **createdAt** (string (date-time)) (example: "2001-01-02T03:04:05.006") - **updatedAt** (string (date-time)) (example: "2001-01-02T03:04:05.006") - **activeTo** (string (date-time)) ``` -------------------------------- ### Schema: ProductFraudProtection Source: https://global-docs-and-definitions-monitum-engineering-2df2141b22ccdbd.gitlab.io/partner-api/partner-api-openapi.json Schema definition for ProductFraudProtection ```markdown ## Schema: ProductFraudProtection Schema definition for ProductFraudProtection **Type:** object - **serviceType** (unknown) (required) - **id** (string): Unique system-generated identifier for the resource - **status** (string (Active|Regret|Shredded|Churned|Goodwill|UpSale)) (required): Current status of the Fraud Protection subscription ("Active"|"Regret"|"Shredded"|"Churned"|"Goodwill"|"UpSale") - **createdAt** (string (date-time)) (example: "2001-01-02T03:04:05.006") - **updatedAt** (string (date-time)) (example: "2001-01-02T03:04:05.006") - **activeTo** (string (date-time)) - **campaign** (string) - **resellerId** (string) (required) - **pricePlanId** (string) (required): Subscription price plan, automatically set to begin at the start of the current day - **salesRepresentative** (string): Identifier of the sales representative associated with the account - **customerId** (string) (required): Matches the customerId field specified in the Customer object - **leadSource** (string): Point of origin or source from which the sales lead was generated. - **packageType** (string) (required): Product package type classification - **regDate** (string (date-time)) (required): Subscription registration timestamp, set to the beginning of registration day ``` -------------------------------- ### GET /{partnerId}/customers/{customerId}/invoices Source: https://global-docs-and-definitions-monitum-engineering-2df2141b22ccdbd.gitlab.io/partner-api/partner-api-openapi.json API endpoint for GET /{partnerId}/customers/{customerId}/invoices ```markdown ### Parameters - **partnerId** (string, path, required): Unique identifier for the partner organization - **page** (integer, query, required): Current page number for paginated results - **perPage** (integer, query, required): Maximum number of items to display per page - **customerId** (string, path, required): Unique identifier for a customer record in the system ### Responses #### 200 - Successfully retrieved all invoices for the customer - **page** (integer) (required) - **perPage** (integer) (required) - **total** (integer) - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **data** (array (object)) (required) Array items: - **invoiceNr** (integer (int64)) (required) - **invoiceDate** (string (date-time)) (required) - **dueDate** (string (date-time)) (required) - **amount** (number (double)) (required) - **amountPaid** (number (double)) (required) - **remainingAmountToPay** (number (double)) (required) - **dateOfLastPayment** (string (date-time)) - **paymentStatus** (integer (int32)) (required): 0 - Not Paid. 1 - Partly paid. 2 - Fully paid - **currencyCode** (string) (required) - **ocrReferenceNr** (string) (required) #### 400 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 401 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 403 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 404 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 500 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### default - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) ### Example Usage ```bash curl -X GET "https://api.example.com/{partnerId}/customers/{customerId}/invoices?page=0&perPage=0" ``` ``` -------------------------------- ### Schema: ProductCompanyMonitoring Source: https://global-docs-and-definitions-monitum-engineering-2df2141b22ccdbd.gitlab.io/partner-api/partner-api-openapi.json Schema definition for ProductCompanyMonitoring ```markdown ## Schema: ProductCompanyMonitoring Schema definition for ProductCompanyMonitoring **Type:** object - **serviceType** (unknown) (required) - **id** (string): Unique identifier for a company monitoring service instance (example: "CM|99991045") - **subscriber** (object) (required): Contact information for notification delivery and service updates - **id** (string): Unique system-generated identifier for the resource - **identityNumber** (string): Unique personal identification number for customer verification - **name** (string) - **email** (string) - **phone** (string) - **monitoringPlan** (string (basic|standard)) (required): Subscription plan level: 'basic' (up to 10 companies) or 'standard' (up to 50 companies) ("basic"|"standard") - **status** (string (Active|Regret|Shredded|Churn|Goodwill|UpSale)) (required) ("Active"|"Regret"|"Shredded"|"Churn"|"Goodwill"|"UpSale") - **createdAt** (string (date-time)) (example: "2001-01-02T03:04:05.006") - **updatedAt** (string (date-time)) (example: "2001-01-02T03:04:05.006") - **activeTo** (string (date-time)) - **campaign** (string) - **resellerId** (string) (required) - **pricePlanId** (string) (required): Subscription price plan, automatically set to begin at the start of the current day - **salesRepresentative** (string): Identifier of the sales representative associated with the account - **customerId** (string) (required): Matches the customerId field specified in the Customer object - **leadSource** (string): Point of origin or source from which the sales lead was generated. - **packageType** (string) (required): Product package type classification - **regDate** (string (date-time)) (required): Subscription registration timestamp, set to the beginning of registration day ``` -------------------------------- ### POST /{partnerId}/services/company-monitorings Source: https://global-docs-and-definitions-monitum-engineering-2df2141b22ccdbd.gitlab.io/partner-api/partner-api-openapi.json Creates a new company monitoring service ```markdown ### Parameters - **partnerId** (string, path, required): Unique identifier for the partner organization ### Request Body **Content-Type:** application/json - **id** (string): Unique identifier for a company monitoring service instance (example: "CM|99991045") - **subscriber** (object) (required): Contact information for notification delivery and service updates - **id** (string): Unique system-generated identifier for the resource - **identityNumber** (string): Unique personal identification number for customer verification - **name** (string) - **email** (string) - **phone** (string) - **monitoringPlan** (string (basic|standard)) (required): Subscription plan level: 'basic' (up to 10 companies) or 'standard' (up to 50 companies) ("basic"|"standard") - **status** (string (Active|Regret|Shredded|Churn|Goodwill|UpSale)) (required) ("Active"|"Regret"|"Shredded"|"Churn"|"Goodwill"|"UpSale") - **createdAt** (string (date-time)) (example: "2001-01-02T03:04:05.006") - **updatedAt** (string (date-time)) (example: "2001-01-02T03:04:05.006") - **activeTo** (string (date-time)) - **identityNumber** (string) (required): Unique personal identification number for customer verification ### Responses #### 201 - Successfully created a new company monitoring service - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **data** (object) (required): Base object containing company monitoring service configuration and details - **id** (string): Unique identifier for a company monitoring service instance (example: "CM|99991045") - **subscriber** (object) (required): Contact information for notification delivery and service updates - **id** (string): Unique system-generated identifier for the resource - **identityNumber** (string): Unique personal identification number for customer verification - **name** (string) - **email** (string) - **phone** (string) - **monitoringPlan** (string (basic|standard)) (required): Subscription plan level: 'basic' (up to 10 companies) or 'standard' (up to 50 companies) ("basic"|"standard") - **status** (string (Active|Regret|Shredded|Churn|Goodwill|UpSale)) (required) ("Active"|"Regret"|"Shredded"|"Churn"|"Goodwill"|"UpSale") - **createdAt** (string (date-time)) (example: "2001-01-02T03:04:05.006") - **updatedAt** (string (date-time)) (example: "2001-01-02T03:04:05.006") - **activeTo** (string (date-time)) - **identityNumber** (string) (required): Unique personal identification number for customer verification #### 400 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 401 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 403 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 404 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) #### 500 - response **Error** - **statusCode** (integer) (required): HTTP status code indicating the outcome of the request - **message** (string) (required) - **cause** (array (object)) (required) - **path** (string) - **timestamp** (string (date-time)) - **error** (string) ### Example Usage ```bash curl -X POST "https://api.example.com/{partnerId}/services/company-monitorings" \ -H "Content-Type: application/json" \ -d '{ "id": "CM|99991045", "subscriber": { "id": "string", "identityNumber": "string", "name": "string", "email": "string", "phone": "string" }, "monitoringPlan": "basic", "status": "Active", "createdAt": "2001-01-02T03:04:05.006", "updatedAt": "2001-01-02T03:04:05.006", "activeTo": "2023-01-01T00:00:00Z", "identityNumber": "string" }' ``` ``` -------------------------------- ### Schema: Customer Source: https://global-docs-and-definitions-monitum-engineering-2df2141b22ccdbd.gitlab.io/partner-api/partner-api-openapi.json Schema definition for Customer ```markdown ## Schema: Customer Schema definition for Customer **Type:** object - **id** (string): System-generated unique identifier for the customer resource - **nationality** (string) (required): ISO 3166-1 alpha-2 country code representing the nationality of the customer - **email** (string (email)) (required): The email address associated with the customer account - **firstName** (string) (required): The first name of the customer - **lastName** (string) (required): The last name of the customer - **address** (string) (required): The street address of the customer - **coAddress** (string): Care of address, additional address information - **postalCode** (string) (required): The postal code for the customer's address - **city** (string) (required): The city of the customer's address - **phone** (string) (required): The phone number associated with the customer account - **mobile** (string) - **password** (string) - **customerType** (unknown) (required) - **createdAt** (string (date-time)) (example: "2001-01-02T03:04:05.006") - **updatedAt** (string (date-time)) (example: "2001-01-02T03:04:05.006") - **identityNumber** (string) (required): Unique personal identification number for customer verification ```